Subject: Re: protected best effort service

From: "Steve Blake" <[email-masked]>
Date: Fri, 16 Feb 1996 15:55:22 +22299804

Noel Chiappa wrote:

>     > All PBE traffic that exceeds either the flow's fair share of the
>     > network element's best effort resources or MRB*T over all time
>     > periods T (whichever is larger) is considered nonconformant and must
>     > be discarded.
>
>     what you are asking is for the node to police your traffic with a token
>     bucket with rate = MRB and size = infinity which starts out empty.
>
> Umm, I'm not an expert on this stuff, but I'm not sure of this, since as I
> read his wording, you could get an actual service rate higher than MRB iff the
> network is idle, i.e. high fair share (you discard traffic which is *more*
> than whichever fair share or reservation was *higher*). If the fair share is
> less than the MRB, then yes, it looks like an infinite bucket (or at least he
> didn't give a limit).

I was being a little too succinct.  Assume that my comments apply only
under loaded conditions, where the fair share = MRB and the infinite leaky
bucket is the limiting case.

>     Alternatively, are you proposing that the source be policed with a sliding
>     window?  If that is the case, then you must specify a minimum window
>     interval, otherwise, a conformant implementation can strictly police your
>     instantaneous rate to MRB.
>
> No, because it's only supposed to trim to the *higher* of fair share and MRB.
> What am I missing?

Nothing; you're correct.  Juha has said, though, that he did mean to imply
the max of sliding window and fair share.

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
| Steven L. Blake              [email-masked] |
| Access Technology Architecture      (919)254-2030 |
| IBM Networking Hardware Division                  |
| "You like the 'Net?  You ain't seen nothin' yet!" |
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/